<form method="POST" id="sct-cleanup-form">
    <?php settings_fields('simple-smtp-tools'); ?>

    <div class="sct-cleanup-left">
        <div id="scs-scroll-sidebar">
            <p>
                <?php _e("Change settings to enable changing of email parameters or to setup the SMPT server. To make sure that settings work, use the Test tool.", "simple-smtp-tools"); ?>
            </p>
            <p class="sct-left-info">
                <?php

                $openssl = extension_loaded('openssl');
                if ($openssl) {
                    echo '<strong class="sct-color-green">'.__("OpenSSL extension is loaded. You should be able to use SSL/TLS based SMTP servers.", "simple-smtp-tools").'</strong>';
                } else {
                    echo '<strong class="sct-color-red">'.__("OpenSSL extension is not loaded. You can't use SSL/TLS based SMTP servers.", "simple-smtp-tools").'</strong>';
                }

                ?>
            </p>
            <input id="sct-cleanup-run" class="button-primary" type="submit" value="<?php _e("Save Settings", "simple-smtp-tools"); ?>" />
        </div>
    </div>
    <div class="sct-cleanup-right">
        <h3><?php _e("Email Sender", "simple-smtp-tools"); ?></h3>
        <table class="form-table" style="width: 650px;">
            <tbody>
                <tr valign="top">
                    <th scope="row"><?php _e("Status", "simple-smtp-tools"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Status", "simple-smtp-tools"); ?></span></legend>
                            <label for="email_sender_active">
                                <input<?php echo $settings['email_sender_active'] ? ' checked="checked"' : ''; ?> type="checkbox" value="1" id="email_sender_active" name="email_sender_active">
                                <?php _e("Active", "simple-smtp-tools"); ?></label>
                        </fieldset>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><?php _e("From", "simple-smtp-tools"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("From", "simple-smtp-tools"); ?></span></legend>
                            <input type="text" class="widefat" id="email_sender_name" name="email_sender_name" value="<?php echo $settings['email_sender_name']; ?>" />
                        </fieldset>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><?php _e("Email", "simple-smtp-tools"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("From", "simple-smtp-tools"); ?></span></legend>
                            <input type="text" class="widefat" id="email_sender_email" name="email_sender_email" value="<?php echo $settings['email_sender_email']; ?>" />
                        </fieldset>
                    </td>
                </tr>
            </tbody>
        </table>
        <h3><?php _e("External SMTP Server", "simple-smtp-tools"); ?></h3>
        <table class="form-table" style="width: 650px;">
            <tbody>
                <tr valign="top">
                    <th scope="row"><?php _e("Status", "simple-smtp-tools"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Status", "simple-smtp-tools"); ?></span></legend>
                            <label for="smtp_active">
                                <input<?php echo $settings['smtp_active'] ? ' checked="checked"' : ''; ?> type="checkbox" value="1" id="smtp_active" name="smtp_active">
                                <?php _e("Active", "simple-smtp-tools"); ?></label>
                        </fieldset>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><?php _e("Method", "simple-smtp-tools"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Method", "simple-smtp-tools"); ?></span></legend>
                            <select class="widefat" name="smtp_settings" id="smtp_settings">
                                <optgroup label="">
                                    
                                </optgroup>
                                <?php

                                $servers = array(
                                    'custom' => array('label' => __("Custom Settings", "simple-smtp-tools"), 'list' => array(
                                        'custom' => __("Custom SMTP", "simple-smtp-tools")
                                    )),
                                    'misc' => array('label' => __("Google, Microsoft and more", "simple-smtp-tools"), 'list' => array(
                                        'gmail' => __("GMail / Googlemail SMTP", "simple-smtp-tools"), 
                                        'live' => __("Outlook / Live / Hotmail SMTP", "simple-smtp-tools"), 
                                        'mail' => __("Mail.com SMTP", "simple-smtp-tools"), 
                                        'zoho' => __("Zoho SMTP", "simple-smtp-tools"), 
                                        'gmx' => __("GMX SMTP", "simple-smtp-tools")
                                    )),
                                    'yahoo' => array('label' => __("Yahoo", "simple-smtp-tools"), 'list' => array(
                                        'yahoo' => __("Yahoo Mail SMTP", "simple-smtp-tools"), 
                                        'yahoo_plus' => __("Yahoo Mail Plus SMTP", "simple-smtp-tools"), 
                                        'yahoo_uk' => __("Yahoo Mail UK SMTP", "simple-smtp-tools"), 
                                        'yahoo_de' => __("Yahoo Mail Deutschland SMTP", "simple-smtp-tools"), 
                                        'yahoo_au' => __("Yahoo Mail AU/NZ SMTP", "simple-smtp-tools"), 
                                    )),
                                    '1and1' => array('label' => __("1and1", "simple-smtp-tools"), 'list' => array(
                                        '1and1' => __("1and1 SMTP", "simple-smtp-tools"), 
                                        '1and1_de' => __("1and1 Deutschland SMTP", "simple-smtp-tools")
                                    )),
                                    'o2' => array('label' => __("O2", "simple-smtp-tools"), 'list' => array(
                                        'o2' => __("O2 SMTP", "simple-smtp-tools"), 
                                        'o2_uk' => __("O2 UK SMTP", "simple-smtp-tools")
                                    ))
                                );

                                foreach ($servers as $group => $data) {
                                    echo '<optgroup label="'.$data['label'].'">';

                                    foreach ($data['list'] as $key => $title) {
                                        $selected = $settings['smtp_settings'] == $key ? ' selected="selected"' : '';
                                        echo '<option value="'.$key.'"'.$selected.'>'.$title.'</option>';
                                    }

                                    echo '</optgroup>';
                                }

                                ?>
                            </select>
                            
                            <ol class="sct-em">
                                <li><?php echo sprintf(__("To use %s SMTP servers you need an account with those services.", "simple-smtp-tools"), 'GMail, Yahoo, Outlook, 1and1'); ?></li>
                                <li><?php echo sprintf(__("When using %s servers, you must specify Authentication username and password.", "simple-smtp-tools"), 'GMail, Yahoo, Outlook, 1and1, O2, GMX, Zoho, Mail.com'); ?></li>
                                <li><?php _e("For Custom SMTP you must set authentication and custom SMTP server settings. Default port is 25.", "simple-smtp-tools"); ?></li>
                                <li><?php echo sprintf(__("If you want to use %s or custom SMTP with secure connection, your server must support SSL/TLS for email. PHP must be configured to use OpenSSL extension. Consult your hosting company about this.", "simple-smtp-tools"), 'GMail, Yahoo, Outlook, 1and1, O2, GMX, Zoho, Mail.com'); ?></li>
                            </ol>
                        </fieldset>
                    </td>
                </tr>
            </tbody>
        </table>
        <h3><?php _e("Authentication", "simple-smtp-tools"); ?></h3>
        <table class="form-table" style="width: 650px;">
            <tbody>
                <tr valign="top">
                    <th scope="row"><?php _e("Username", "simple-smtp-tools"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Username", "simple-smtp-tools"); ?></span></legend>
                            <input type="text" class="widefat" id="smtp_username" name="smtp_username" value="<?php echo $settings['smtp_username']; ?>" />
                        </fieldset>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><?php _e("Password", "simple-smtp-tools"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Password", "simple-smtp-tools"); ?></span></legend>
                            <input type="password" class="widefat" id="smtp_password" name="smtp_password" value="<?php echo $settings['smtp_password']; ?>" />

                            <ol class="sct-em">
                                <li><?php _e("Username and Password will be stored in database options table as plain text.", "simple-smtp-tools"); ?></li>
                                <li><?php _e("Only administrators should have access to this table. Normal user are not able to see data in this table.", "simple-smtp-tools"); ?></li>
                            </ol>
                        </fieldset>
                    </td>
                </tr>
            </tbody>
        </table>
        <h3><?php _e("Custom SMTP", "simple-smtp-tools"); ?></h3>
        <table class="form-table" style="width: 650px;">
            <tbody>
                <tr valign="top">
                    <th scope="row"><?php _e("Host", "simple-smtp-tools"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Host", "simple-smtp-tools"); ?></span></legend>
                            <input type="text" class="widefat" id="smtp_host" name="smtp_host" value="<?php echo $settings['smtp_host']; ?>" />
                        </fieldset>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><?php _e("Port", "simple-smtp-tools"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Port", "simple-smtp-tools"); ?></span></legend>
                            <input type="text" class="widefat" id="smtp_port" name="smtp_port" value="<?php echo $settings['smtp_port']; ?>" />
                        </fieldset>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><?php _e("Encryption", "simple-smtp-tools"); ?></th>
                    <td>
                        <fieldset>
                            <legend class="screen-reader-text"><span><?php _e("Encryption", "simple-smtp-tools"); ?></span></legend>
                            <select class="widefat" name="smtp_encryption" id="smtp_encryption">
                                <?php

                                $methods = array('' => __("None", "simple-smtp-tools"), 'ssl' => __("SSL", "simple-smtp-tools"), 'tls' => __("TLS", "simple-smtp-tools"));
                                
                                foreach ($methods as $key => $title) {
                                    $selected = $settings['smtp_encryption'] == $key ? ' selected="selected"' : '';
                                    echo '<option value="'.$key.'"'.$selected.'>'.$title.'</option>';
                                }

                                ?>
                            </select>
                        </fieldset>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</form>