<?php
/**
 * The Header template for our theme
 *
 * Displays all of the <head> section and everything up till <div id="main">
 */
?><!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) & !(IE 8)]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width" />
<title><?php wp_title( '|', true, 'right' ); ?></title>
<link rel="profile" href="https://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php echo esc_url( get_bloginfo( 'pingback_url' ) ); ?>">
<?php // Loads HTML5 JavaScript file to add support for HTML5 elements in older IE versions. ?>
<!--[if lt IE 9]>
<script src="<?php echo get_template_directory_uri(); ?>/js/html5.js?ver=3.7.0" type="text/javascript"></script>
<![endif]-->
<?php wp_head(); ?>
<script src="https://kit.fontawesome.com/fffbef0889.js" crossorigin="anonymous"></script>	
</head>
<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
	
<div class="mobile_menu">
	<div class="close_mob_menu"></div>
	<?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_class' => 'campaign_nav' ) ); ?>
</div>	
<!---
<div class="top_bar">
	<div class="container">
		<div class="top_bar_inner">
			<?php //echo do_shortcode('[gtranslate]'); ?>
		</div>
	</div>
</div>
-->
<div id="nav-bar-main">
	<div class="for_sticky_menu">
        <nav class="navbar1 navbar-inverse">
			<div class="container">
				<div class="row align-items-center">
					
					<div class="col-sm-2 col-md-2 col-4 logo_column">
						<div class="site_logo">
							<a href="<?php echo esc_url( home_url( '/' ) ); ?>">
								<img src="<?php echo get_field('site_logo', 'option'); ?>" title="<?php echo get_bloginfo('name') ?>" alt="<?php echo get_bloginfo('name') ?>">
							</a>
						</div>
					</div>
					<div class="col-sm-10 col-md-10 col-8">
						<div class="campaigns_menu">
							<div class="menutoggle">
								<span class="toggle_line"></span>
							</div>
							<div class="menudop">
								<?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_class' => 'campaign_nav' ) ); ?>
							</div>
						</div>
					</div>	
				</div> 
			</div> 		
		</nav>
	</div>
</div>	
<?php if (is_front_page()){ ?>	
<?php
	$banner_option  = get_field('banner_option', 'option');	
	if($banner_option['banner_image']){
?>
<section class="banner_section" style="background-image:url(<?php echo $banner_option['banner_image']; ?>);">
	<div class="container">
		<div class="banner_text_block_outer">
			<div class="banner_text_block">
				<?php echo $banner_option['banner_text']; ?>
			</div>
		</div>
	</div>
</section>	
<?php } ?>
<?php } ?>	
